{% extends 'main/base_login.html' %}

{% block content %}

<div class="page-header header-filter" data-parallax="true" style="background-image: url('{{ landing_top }}'); background-size: cover; background-position: top center;">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6 ml-auto mr-auto">
    
                    <!-- Login form -->
        <form class="form" method="POST" action="{% url 'users:login' %}">
                <div class="card card-login card-hidden">
                    <div class="card-header card-header-info text-center">
                        <h4 class="card-title">Ielogties</h4>
                    </div>
                        {% csrf_token %}
    
                        {% if form.errors %}
                        <div class="alert alert-danger">
                            <div>
                                <div class="alert-icon">
                                    <i class="material-icons">error_outline</i>
                                </div>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true"><i class="material-icons">clear</i></span>
                                </button>
                                <b>Kļūda:</b> Lietotājs ar šādu paroli netika atrasts. Lūdzu mēģiniet vēlreiz.
                            </div>
                        </div>
                        {% endif %}
    
                        <div class="card-body">
                            <div class="bmd-form-group pt-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="material-icons">person</i>
                                        </span>
                                    </div>
                                    <input type="text" class="form-control" value="{{ form.username.value|default_if_none:"" }}" name="{{ form.username.html_name }}" placeholder="Lietotājs..." id="{{ form.username.id_for_label }}">
                                </div>
                            </div>
                            <div class="bmd-form-group pt-0">
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="material-icons">lock_outline</i>
                                        </span>
                                    </div>
                                    <input type="password" class="form-control" value="{{ form.password.value|default_if_none:"" }}" name="{{ form.password.html_name }}" placeholder="Parole..." id="{{ form.password.id_for_label }}">
                                </div>
                            </div>
                        </div>
                        <div class="card-footer justify-content-center">
                            <button type="submit" class="btn btn-primary btn-link btn-wd btn-lg">Ienākt</button>
                        </div>
                        
                        <input type="hidden" name="next" value="{{ next }}" />
                    </div>
                </form>
    
    {% if next %}
      {% if user.is_authenticated %}
        <p>Your account doesn't have access to this page. To proceed,
        please login with an account that has access.</p>
      {% else %}
        <p>Please login to see this page.</p>
      {% endif %}
    {% endif %}
                    
                    </div>
            </div>
        </div>
    </div>
    

{% endblock %}